%define _python_version `python -c 'import sys;print sys.version[:3]'`
Summary: A python module to convert emacs outline files to XML.
Name: o2x
Version: 1.0
Release: 2
License: LGPL
Group: Development/Languages
URL: http://www.sabren.com/code/python/
Source: o2x-1.0.tar.gz
Requires: python >= 1.5
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
XML can get ugly. There's a lot of editors for it that let you manage its tree-like structure, but I much prefer the simple outline-mode interface provided by emacs. This little module/program that will convert outline-mode files to XML.  See the source for documentation. 

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages
cp *.py $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/python*/site-packages/*.py

%changelog
* Wed Jan  3 2001 Tim Powers <timp@redhat.com>
- fixed bad requires

* Mon Jul 17 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial package
